CURLINFO_SIZE_UPLOAD(3)

NAME
CURLINFO_SIZE_UPLOAD - get the number of uploaded bytes

SYNOPSIS
#include <curl/curl.h>
CURLcode curl_easy_getinfo(CURL *handle, CURLINFO_SIZE_UPLOAD,
                           double *uploadp);

DESCRIPTION
Pass a pointer to a double to receive the total amount of bytes that were uploaded. CURLINFO_SIZE_UPLOAD_T(3) is a newer replacement that returns a more sensible variable type.

PROTOCOLS
This functionality affects all supported protocols

EXAMPLE
int main(void)
{
  CURL *curl = curl_easy_init();
  if(curl) {
    CURLcode res;
    curl_easy_setopt(curl, CURLOPT_URL, "https://example.com");
    /* Perform the request */
    res = curl_easy_perform(curl);
    if(!res) {
      double ul;
      res = curl_easy_getinfo(curl, CURLINFO_SIZE_UPLOAD, &ul);
      if(!res) {
        printf("Uploaded %.0f bytes\n", ul);
      }
    }
  }
}

DEPRECATED
Deprecated since 7.55.0.

AVAILABILITY
Added in curl 7.4.1

RETURN VALUE
curl_easy_getinfo(3) returns a CURLcode indicating success or error. CURLE_OK (0) means everything was OK, non-zero means an error occurred, see libcurl-errors(3).

SEE ALSO
CURLINFO_SIZE_DOWNLOAD_T(3), CURLINFO_SIZE_UPLOAD_T(3), curl_easy_getinfo(3), curl_easy_setopt(3)